import os
from os.path import join

RTBP_MOD_LOG_FILE = "RTBP Mod Log.txt"

_logFile = None

def log(line):
	global _logFile
	
	if _logFile==None:
		dirName = os.path.dirname(os.path.realpath(__file__)).split("Mods")[0]
		
		_logFile = open(join(dirName,RTBP_MOD_LOG_FILE),"w")
		
	_logFile.write(line+"\n")
	_logFile.flush()
	
